From 685930cb146da6b87af0c5fd15c2036d45345adf Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 23 Jul 2026 05:19:41 +0000
Subject: [PATCH] appstream: upgrade 1.1.3 -> 1.1.4

Source: NEWS

Version 1.1.4
~~~~~~~~~~~~~
Released: 2026-07-22

Features:
 * sysinfo: Assume a more modern display for the handset chassis template
 * sysinfo: Assume a more modern display for the tablet chassis template
 * sysinfo: Initial code to autodetect the display size on Wayland
 * sysinfo: Handle fractional display scaling via xdg-output
 * Implement support for GCVE as vulnerability database provider
 * qt: Sync enum mirrors with the C library
 * qt: Add Artifact, Checksum, Reference, Review and Agreement wrappers
 * qt: Wrap missing C API on existing classes
 * reviews: Add simple interface to fetch ODRS reviews for a component
 * reviews: Implement support for submitting reviews

Specification:
 * docs: Suggest using the longest display side for maximum size constraints

Bugfixes:
 * Make GResources we need outlive main thread destruction
 * pool: Properly implement cancellation of load operations
 * sysinfo: Fix display-length setter overriding the shortest edge
 * relation-check: Don't zero the score if a required check errored
 * curl: Harden downloader by restricting protocols to only HTTP(S)
 * curl: Allow making POST requests and changing the user agent
 * curl: Fix retry-loop data corruption and don't blindly retry POST requests
 * yaml: Fix potential crashes when encountering missing relation entry values
 * yaml: Adjust tests and emitter to work around libfyaml string-quoting change
 * yaml: Ensure version relations are consistently quoted
 * qt: Fix buffer overrun in stringListToCharArray

Miscellaneous:
 * ci: freebsd: Switch from Cirrus to GitHub Actions
 * ci: Update Ubuntu LTS to 26.04

Contributors:
 Gleb Popov, Matthias Klumpp
---
 .../appstream/appstream/0001-remove-hardcoded-path.patch    | 6 +++---
 .../appstream/appstream/0002-Do-not-build-qt-tests.patch    | 6 +++---
 ...x-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch | 2 +-
 .../appstream/{appstream_1.1.3.bb => appstream_1.1.4.bb}    | 2 +-
 4 files changed, 8 insertions(+), 8 deletions(-)
 rename meta/recipes-support/appstream/{appstream_1.1.3.bb => appstream_1.1.4.bb} (94%)

diff --git a/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch b/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
index 56a5479099..8fc96a8b06 100644
--- a/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
+++ b/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
@@ -1,4 +1,4 @@
-From bf79c20cfee4a074ca752a1466dc96d0b9eb6175 Mon Sep 17 00:00:00 2001
+From e7f4f91c1c537f40959de5afe3c23bf6b45c09d1 Mon Sep 17 00:00:00 2001
 From: Markus Volk <f_l_k@t-online.de>
 Date: Mon, 12 Dec 2022 15:42:42 +0100
 Subject: [PATCH] remove hardcoded path
@@ -14,10 +14,10 @@ Upstream-Status: Inappropriate [oe-specific]
  1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/meson.build b/meson.build
-index 9af5f58..ad1483d 100644
+index 0932c29..3c122eb 100644
 --- a/meson.build
 +++ b/meson.build
-@@ -194,10 +194,10 @@ endif
+@@ -206,10 +206,10 @@ endif
  stemmer_inc_dirs = include_directories()
  if get_option('stemming')
      stemmer_lib = cc.find_library('stemmer', required: true)
diff --git a/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch b/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
index 3e666181eb..1192ab5403 100644
--- a/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
+++ b/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
@@ -1,4 +1,4 @@
-From 1a1619dce3c3fa54fa5f47f7ed89447e0805de43 Mon Sep 17 00:00:00 2001
+From be7a09ac5bc1af916eb08cec974edc3cc14a7261 Mon Sep 17 00:00:00 2001
 From: Marc Ferland <marc.ferland@sonatest.com>
 Date: Fri, 26 Jul 2024 15:41:00 -0400
 Subject: [PATCH] Do not build qt/tests
@@ -23,10 +23,10 @@ Signed-off-by: Marc Ferland <marc.ferland@sonatest.com>
  1 file changed, 2 deletions(-)
 
 diff --git a/qt/meson.build b/qt/meson.build
-index 407a57a..840c838 100644
+index 488fe60..83c2715 100644
 --- a/qt/meson.build
 +++ b/qt/meson.build
-@@ -130,5 +130,3 @@ install_data (
+@@ -144,5 +144,3 @@ install_data (
      join_paths(meson.current_build_dir(), 'AppStreamQtConfigVersion.cmake'),
      install_dir: join_paths(get_option('libdir'), 'cmake', 'AppStreamQt')
  )
diff --git a/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch b/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
index 8ba4de95c9..3c4fdbcc6e 100644
--- a/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
+++ b/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
@@ -1,4 +1,4 @@
-From 4fdd29346b51eea577ee46c7166348dad19bbcb0 Mon Sep 17 00:00:00 2001
+From ef98a19ad308cc37682dc17784fd94af83da6f32 Mon Sep 17 00:00:00 2001
 From: Marc Ferland <marc.ferland@sonatest.com>
 Date: Mon, 29 Jul 2024 09:35:51 -0400
 Subject: [PATCH] Fix PACKAGE_PREFIX_DIR in qt/cmake/AppStreamQtConfig.cmake.in
diff --git a/meta/recipes-support/appstream/appstream_1.1.3.bb b/meta/recipes-support/appstream/appstream_1.1.4.bb
similarity index 94%
rename from meta/recipes-support/appstream/appstream_1.1.3.bb
rename to meta/recipes-support/appstream/appstream_1.1.4.bb
index 06e4f7940a..d5d07bc1e8 100644
--- a/meta/recipes-support/appstream/appstream_1.1.3.bb
+++ b/meta/recipes-support/appstream/appstream_1.1.4.bb
@@ -24,7 +24,7 @@ SRC_URI = " \
 	file://0002-Do-not-build-qt-tests.patch \
 	file://0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch \
 "
-SRC_URI[sha256sum] = "2624f967068427edc94f3979edae3571bb077063f5bc231f737776da527bf467"
+SRC_URI[sha256sum] = "42ee663ef1ef3defc94cafc842be8c427e7a6ee660c9ca08fabdd0262d38fb9c"
 
 S = "${UNPACKDIR}/AppStream-${PV}"
 
-- 
2.47.1

